#!/bin/bash
# start_dv-zram-3a.sh # Copie de /opt/local/bin/DV-zram-3a.sh
# Créer un disque virtuel de type zram, par "Mute Ant".
# Source : https://forums.linuxmint.com/viewtopic.php?t=203420
# Relevé le 2017/10/24 à 04:30 par musher0
# (c) musher0 for original lines. Rév. : 26 oct. et 1er nov. 2017; 10 déc. 2018.
####
MEVTotal="`free -m | awk '$1 ~ /Mem/ { print $2 }'`"
if [ "$MEVTotal" -gt "1999" ];then
# To avoid headaches, if the computer has less than 2Gb of RAM, we pass. /
# Pour éviter les maux de tête, si l'ordi a moins de 2 Go de MEV, on passe.
     ChecK="`df | awk '$NF ~ /ram1/'`" # musher0, 17-10-14
     if [ "$ChecK" = "" ];then # musher0, 17-10-14
          MOUNTPOINT="/mnt/ram1"
          SIZE="`free -m | awk '/Mem/ {print int(($4/20)*11) }'`" # musher0, 18-12-10
          mkdir -p "$MOUNTPOINT" # s'assurer que le point de montage existe
          sleep 0.1s
          modprobe zram  # Tell the kernel to create device zram0
          sleep 0.1s
          echo 1 > /sys/block/zram0/reset # Réinitialiser # Playing it safe.
          sleep 0.1s
          echo "${SIZE}"m > /sys/block/zram0/disksize  # Set the size of zram0 ...
          sleep 0.1s
          mkfs.ext2 /dev/zram0  # Format the new device as ext2
#    mkudffs --media-type=hd --blocksize=512 /dev/zram # non
          sleep 0.1s
          mount /dev/zram0 /mnt/ram1 # Ramdisk  # Mount the new device on Ramdisk
#    mount -t udf -o bs=512 /dev/zram0 /mnt/ram1 # mount-point
          sleep 0.1s
          chmod 1777 /mnt/ram1 # Ramdisk  # Change Ramdisk flags to be like a /tmp/ folder
          sleep 0.1s
          mkdir -p /mnt/ram1/Downloads # Make a Downloads folder in Ramdisk
          sleep 0.1s

          cd /mnt/home/ramdisk
          rsync -qavz . "/mnt/ram1" # --delete # optionnel

          sleep 0.5s # Cette section par musher0, 17-10-14, 17-10-26
          case "${LANG:0:2}" in fr) MsG="

Un disque virtuel de
$SIZE Mo a été créé." ;;
               en|*) MsG="

A $SIZE Mb ramdisk
has been created." ;;
          esac
          bcm -u /mnt/ram1/gnome-dev-memory.png -a 1 -g c:c -d 5 -b "#000000FF" -c "#0c0c0c8F" -t "<span font='LiberationSerif Bold Italic 18' color='#FFFFFFFF' gravity='north' gravity_hint='line'>$MsG</span>" 2>/dev/null &

     else
          case "${LANG:0:2}" in fr) MsG="

Un disque virtuel
existe déja." ;;
               en|*) MsG="

A ramdisk
already exists." ;;
          esac
          bcm -u /mnt/ram1/gnome-dev-memory.png -a 1 -g c:c -d 5 -b "#000000FF" -c "#0c0c0c8F" -t "<span font='LiberationSerif Bold Italic 18' color='#FFFFFFFF' gravity='north' gravity_hint='line'>$MsG</span>" 2>/dev/null &
     fi # Fin de la section par musher0, 17-10-14, rév. 17-10-26
fi
